Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2989 in orxonox.OLD for orxonox/trunk


Ignore:
Timestamp:
Nov 25, 2004, 11:13:25 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: libs now included in the right way, should work for mingw32 too.

Location:
orxonox/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/config.h.in

    r2980 r2989  
    2222/* Define to 1 if you have the <memory.h> header file. */
    2323#undef HAVE_MEMORY_H
     24
     25/* Define to 1 if you have the <SDL/SDL.h> header file. */
     26#undef HAVE_SDL_SDL_H
    2427
    2528/* Define to 1 if you have the `sqrt' function. */
  • orxonox/trunk/configure

    r2981 r2989  
    312312#endif"
    313313
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP MSBITFIELDS SDL_CONFIG SDL_CFLAGS SDL_LIBS PKG_CONFIG GTK2_CFLAGS GTK2_LIBS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP SDL_CONFIG SDL_CFLAGS SDL_LIBS MSBITFIELDS PKG_CONFIG GTK2_CFLAGS GTK2_LIBS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
    315315ac_subst_files=''
    316316
     
    43854385    fi
    43864386
    4387 
    43884387# checking for mingw32
    43894388    echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
     
    44524451        LIBS="$LIBS -lmingw32"
    44534452    fi
    4454 
    4455     ;;
    4456 
    4457 ### LINUX ###
    4458  *-*-linux*)
    4459 echo "Linux detected"
    4460 
    4461  Linux="yes"
    4462 
    4463 # checking gl header
    4464 
    4465 for ac_header in GL/gl.h
     4453# checking for SDL-headers
     4454
     4455for ac_header in SDL/SDL.h
    44664456do
    44674457as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    46094599
    46104600else
    4611   { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
    4612 echo "$as_me: error: cannot find opengl headers" >&2;}
     4601  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     4602echo "$as_me: error: cannot find SDL headers" >&2;}
    46134603   { (exit 1); exit 1; }; }
    46144604fi
     
    46174607
    46184608
    4619 #  checking for Unix GL
    4620    echo "$as_me:$LINENO: checking for main in -lGL" >&5
    4621 echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
    4622 if test "${ac_cv_lib_GL_main+set}" = set; then
     4609#checking for libSDL
     4610    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
     4611echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
     4612if test "${ac_cv_lib_sdlmain_main+set}" = set; then
    46234613  echo $ECHO_N "(cached) $ECHO_C" >&6
    46244614else
    46254615  ac_check_lib_save_LIBS=$LIBS
    4626 LIBS="-lGL  $LIBS"
     4616LIBS="-lsdlmain  $LIBS"
    46274617cat >conftest.$ac_ext <<_ACEOF
    46284618/* confdefs.h.  */
     
    46634653  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    46644654  (exit $ac_status); }; }; then
    4665   ac_cv_lib_GL_main=yes
     4655  ac_cv_lib_sdlmain_main=yes
    46664656else
    46674657  echo "$as_me: failed program was:" >&5
    46684658sed 's/^/| /' conftest.$ac_ext >&5
    46694659
    4670 ac_cv_lib_GL_main=no
     4660ac_cv_lib_sdlmain_main=no
    46714661fi
    46724662rm -f conftest.err conftest.$ac_objext \
     
    46744664LIBS=$ac_check_lib_save_LIBS
    46754665fi
    4676 echo "$as_me:$LINENO: result: $ac_cv_lib_GL_main" >&5
    4677 echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
    4678 if test $ac_cv_lib_GL_main = yes; then
    4679   FOUND_GL=yes
    4680 fi
    4681 
    4682    if test "$FOUND_GL" = "yes" ; then
    4683      LIBS="$LIBS -lGL"
    4684    else
    4685          echo "------------------"
    4686          echo "opengl not found."
    4687          echo "please install the opengl package which can be found at http://www.opengl.org"
    4688          echo "------------------"
    4689          exit -1
    4690    fi
    4691 
    4692 # cheking for GLU-header
    4693 
    4694 for ac_header in GL/glu.h
     4666echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
     4667echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
     4668if test $ac_cv_lib_sdlmain_main = yes; then
     4669  FOUND_sdlmain=yes
     4670fi
     4671
     4672    if test "$FOUND_sdlmain" = "yes" ; then
     4673       LIBS="$LIBS -lsdlmain"
     4674    else
     4675        echo "------------------"
     4676        echo "SDL library not found."
     4677        echo "please install the SDL library, which can be found at http://www.libsdl.org"
     4678        echo "------------------"
     4679        exit 1
     4680    fi
     4681    echo "$as_me:$LINENO: checking for main in -lsdl" >&5
     4682echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
     4683if test "${ac_cv_lib_sdl_main+set}" = set; then
     4684  echo $ECHO_N "(cached) $ECHO_C" >&6
     4685else
     4686  ac_check_lib_save_LIBS=$LIBS
     4687LIBS="-lsdl  $LIBS"
     4688cat >conftest.$ac_ext <<_ACEOF
     4689/* confdefs.h.  */
     4690_ACEOF
     4691cat confdefs.h >>conftest.$ac_ext
     4692cat >>conftest.$ac_ext <<_ACEOF
     4693/* end confdefs.h.  */
     4694
     4695
     4696int
     4697main ()
     4698{
     4699main ();
     4700  ;
     4701  return 0;
     4702}
     4703_ACEOF
     4704rm -f conftest.$ac_objext conftest$ac_exeext
     4705if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4706  (eval $ac_link) 2>conftest.er1
     4707  ac_status=$?
     4708  grep -v '^ *+' conftest.er1 >conftest.err
     4709  rm -f conftest.er1
     4710  cat conftest.err >&5
     4711  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4712  (exit $ac_status); } &&
     4713         { ac_try='test -z "$ac_c_werror_flag"
     4714                         || test ! -s conftest.err'
     4715  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4716  (eval $ac_try) 2>&5
     4717  ac_status=$?
     4718  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4719  (exit $ac_status); }; } &&
     4720         { ac_try='test -s conftest$ac_exeext'
     4721  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4722  (eval $ac_try) 2>&5
     4723  ac_status=$?
     4724  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4725  (exit $ac_status); }; }; then
     4726  ac_cv_lib_sdl_main=yes
     4727else
     4728  echo "$as_me: failed program was:" >&5
     4729sed 's/^/| /' conftest.$ac_ext >&5
     4730
     4731ac_cv_lib_sdl_main=no
     4732fi
     4733rm -f conftest.err conftest.$ac_objext \
     4734      conftest$ac_exeext conftest.$ac_ext
     4735LIBS=$ac_check_lib_save_LIBS
     4736fi
     4737echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
     4738echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
     4739if test $ac_cv_lib_sdl_main = yes; then
     4740  FOUND_sdl=yes
     4741fi
     4742
     4743    if test "$FOUND_sdl" = "yes" ; then
     4744       LIBS="$LIBS -lsdl"
     4745    else
     4746        echo "------------------"
     4747        echo "SDL library not found."
     4748        echo "please install the SDL library, which can be found at http://www.libsdl.org"
     4749        echo "------------------"
     4750        exit -1
     4751    fi
     4752
     4753
     4754    ;;
     4755
     4756### LINUX ###
     4757 *-*-linux*)
     4758echo "Linux detected"
     4759
     4760 Linux="yes"
     4761
     4762# checking gl header
     4763
     4764for ac_header in GL/gl.h
    46954765do
    46964766as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    48464916
    48474917
     4918#  checking for Unix GL
     4919   echo "$as_me:$LINENO: checking for main in -lGL" >&5
     4920echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
     4921if test "${ac_cv_lib_GL_main+set}" = set; then
     4922  echo $ECHO_N "(cached) $ECHO_C" >&6
     4923else
     4924  ac_check_lib_save_LIBS=$LIBS
     4925LIBS="-lGL  $LIBS"
     4926cat >conftest.$ac_ext <<_ACEOF
     4927/* confdefs.h.  */
     4928_ACEOF
     4929cat confdefs.h >>conftest.$ac_ext
     4930cat >>conftest.$ac_ext <<_ACEOF
     4931/* end confdefs.h.  */
     4932
     4933
     4934int
     4935main ()
     4936{
     4937main ();
     4938  ;
     4939  return 0;
     4940}
     4941_ACEOF
     4942rm -f conftest.$ac_objext conftest$ac_exeext
     4943if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4944  (eval $ac_link) 2>conftest.er1
     4945  ac_status=$?
     4946  grep -v '^ *+' conftest.er1 >conftest.err
     4947  rm -f conftest.er1
     4948  cat conftest.err >&5
     4949  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4950  (exit $ac_status); } &&
     4951         { ac_try='test -z "$ac_c_werror_flag"
     4952                         || test ! -s conftest.err'
     4953  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4954  (eval $ac_try) 2>&5
     4955  ac_status=$?
     4956  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4957  (exit $ac_status); }; } &&
     4958         { ac_try='test -s conftest$ac_exeext'
     4959  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4960  (eval $ac_try) 2>&5
     4961  ac_status=$?
     4962  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4963  (exit $ac_status); }; }; then
     4964  ac_cv_lib_GL_main=yes
     4965else
     4966  echo "$as_me: failed program was:" >&5
     4967sed 's/^/| /' conftest.$ac_ext >&5
     4968
     4969ac_cv_lib_GL_main=no
     4970fi
     4971rm -f conftest.err conftest.$ac_objext \
     4972      conftest$ac_exeext conftest.$ac_ext
     4973LIBS=$ac_check_lib_save_LIBS
     4974fi
     4975echo "$as_me:$LINENO: result: $ac_cv_lib_GL_main" >&5
     4976echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
     4977if test $ac_cv_lib_GL_main = yes; then
     4978  FOUND_GL=yes
     4979fi
     4980
     4981   if test "$FOUND_GL" = "yes" ; then
     4982     LIBS="$LIBS -lGL"
     4983   else
     4984         echo "------------------"
     4985         echo "opengl not found."
     4986         echo "please install the opengl package which can be found at http://www.opengl.org"
     4987         echo "------------------"
     4988         exit -1
     4989   fi
     4990
     4991# cheking for GLU-header
     4992
     4993for ac_header in GL/glu.h
     4994do
     4995as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4996if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4997  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4998echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4999if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5000  echo $ECHO_N "(cached) $ECHO_C" >&6
     5001fi
     5002echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5003echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5004else
     5005  # Is the header compilable?
     5006echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5007echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5008cat >conftest.$ac_ext <<_ACEOF
     5009/* confdefs.h.  */
     5010_ACEOF
     5011cat confdefs.h >>conftest.$ac_ext
     5012cat >>conftest.$ac_ext <<_ACEOF
     5013/* end confdefs.h.  */
     5014$ac_includes_default
     5015#include <$ac_header>
     5016_ACEOF
     5017rm -f conftest.$ac_objext
     5018if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5019  (eval $ac_compile) 2>conftest.er1
     5020  ac_status=$?
     5021  grep -v '^ *+' conftest.er1 >conftest.err
     5022  rm -f conftest.er1
     5023  cat conftest.err >&5
     5024  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5025  (exit $ac_status); } &&
     5026         { ac_try='test -z "$ac_c_werror_flag"
     5027                         || test ! -s conftest.err'
     5028  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5029  (eval $ac_try) 2>&5
     5030  ac_status=$?
     5031  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5032  (exit $ac_status); }; } &&
     5033         { ac_try='test -s conftest.$ac_objext'
     5034  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5035  (eval $ac_try) 2>&5
     5036  ac_status=$?
     5037  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5038  (exit $ac_status); }; }; then
     5039  ac_header_compiler=yes
     5040else
     5041  echo "$as_me: failed program was:" >&5
     5042sed 's/^/| /' conftest.$ac_ext >&5
     5043
     5044ac_header_compiler=no
     5045fi
     5046rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5047echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5048echo "${ECHO_T}$ac_header_compiler" >&6
     5049
     5050# Is the header present?
     5051echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5052echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5053cat >conftest.$ac_ext <<_ACEOF
     5054/* confdefs.h.  */
     5055_ACEOF
     5056cat confdefs.h >>conftest.$ac_ext
     5057cat >>conftest.$ac_ext <<_ACEOF
     5058/* end confdefs.h.  */
     5059#include <$ac_header>
     5060_ACEOF
     5061if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5062  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5063  ac_status=$?
     5064  grep -v '^ *+' conftest.er1 >conftest.err
     5065  rm -f conftest.er1
     5066  cat conftest.err >&5
     5067  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5068  (exit $ac_status); } >/dev/null; then
     5069  if test -s conftest.err; then
     5070    ac_cpp_err=$ac_c_preproc_warn_flag
     5071    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5072  else
     5073    ac_cpp_err=
     5074  fi
     5075else
     5076  ac_cpp_err=yes
     5077fi
     5078if test -z "$ac_cpp_err"; then
     5079  ac_header_preproc=yes
     5080else
     5081  echo "$as_me: failed program was:" >&5
     5082sed 's/^/| /' conftest.$ac_ext >&5
     5083
     5084  ac_header_preproc=no
     5085fi
     5086rm -f conftest.err conftest.$ac_ext
     5087echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5088echo "${ECHO_T}$ac_header_preproc" >&6
     5089
     5090# So?  What about this header?
     5091case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5092  yes:no: )
     5093    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5094echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5095    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5096echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5097    ac_header_preproc=yes
     5098    ;;
     5099  no:yes:* )
     5100    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5101echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5102    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5103echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5104    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5105echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5106    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5107echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5108    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5109echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5110    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5111echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5112    (
     5113      cat <<\_ASBOX
     5114## ------------------------------------------- ##
     5115## Report this to orxonox-dev@mail.datacore.ch ##
     5116## ------------------------------------------- ##
     5117_ASBOX
     5118    ) |
     5119      sed "s/^/$as_me: WARNING:     /" >&2
     5120    ;;
     5121esac
     5122echo "$as_me:$LINENO: checking for $ac_header" >&5
     5123echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5124if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5125  echo $ECHO_N "(cached) $ECHO_C" >&6
     5126else
     5127  eval "$as_ac_Header=\$ac_header_preproc"
     5128fi
     5129echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5130echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5131
     5132fi
     5133if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5134  cat >>confdefs.h <<_ACEOF
     5135#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5136_ACEOF
     5137
     5138else
     5139  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     5140echo "$as_me: error: cannot find opengl headers" >&2;}
     5141   { (exit 1); exit 1; }; }
     5142fi
     5143
     5144done
     5145
     5146
    48485147    echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
    48495148echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
     
    49235222         exit -1
    49245223    fi
    4925     ;;
    4926   *)
    4927     mingw="no"
    4928     ;;
    4929 esac
    4930 
    4931 
    4932 
    49335224
    49345225## checking for SDL
    4935 SDL_VERSION=1.2.7
     5226    SDL_VERSION=1.2.7
    49365227
    49375228# Check whether --with-sdl-prefix or --without-sdl-prefix was given.
     
    52285519  rm -f conf.sdltest
    52295520
    5230 CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
    5231 LIBS="$LIBS $SDL_LIBS"
     5521    CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
     5522    LIBS="$LIBS $SDL_LIBS"
     5523    ;;
     5524  *)
     5525    mingw="no"
     5526    ;;
     5527esac
     5528
     5529
     5530
     5531
    52325532
    52335533
     
    70107310s,@CPP@,$CPP,;t t
    70117311s,@EGREP@,$EGREP,;t t
    7012 s,@MSBITFIELDS@,$MSBITFIELDS,;t t
    70137312s,@SDL_CONFIG@,$SDL_CONFIG,;t t
    70147313s,@SDL_CFLAGS@,$SDL_CFLAGS,;t t
    70157314s,@SDL_LIBS@,$SDL_LIBS,;t t
     7315s,@MSBITFIELDS@,$MSBITFIELDS,;t t
    70167316s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    70177317s,@GTK2_CFLAGS@,$GTK2_CFLAGS,;t t
  • orxonox/trunk/console/Makefile.am

    r2980 r2989  
    11AM_CXXFLAGS=$(GTK2_CFLAGS) $(MSBITFIELDS)
    2 AM_LDFLAGS=$(GTK2_LIBS)
     2#AM_LDFLAGS=$(GTK2_LIBS)
     3LIBS=$(GTK2_LIBS)
    34
    45bin_PROGRAMS=console
  • orxonox/trunk/console/Makefile.in

    r2980 r2989  
    108108LDFLAGS = @LDFLAGS@
    109109LIBOBJS = @LIBOBJS@
    110 LIBS = @LIBS@
     110#AM_LDFLAGS=$(GTK2_LIBS)
     111LIBS = $(GTK2_LIBS)
    111112LTLIBOBJS = @LTLIBOBJS@
    112113MAKEINFO = @MAKEINFO@
     
    171172target_vendor = @target_vendor@
    172173AM_CXXFLAGS = $(GTK2_CFLAGS) $(MSBITFIELDS)
    173 AM_LDFLAGS = $(GTK2_LIBS)
    174174console_SOURCES = orxonox_console.cc orxonox_console_entry.cc orxonox_console_log.cc
    175175noinst_HEADERS = orxonox_console.h orxonox_console_entry.h orxonox_console_log.h
  • orxonox/trunk/gui/Makefile.am

    r2980 r2989  
    11AM_CXXFLAGS=$(GTK2_CFLAGS) $(MSBITFIELDS)
    2 AM_LDFLAGS=$(GTK2_LIBS)
     2#AM_LDFLAGS=$(GTK2_LIBS)
     3LIBS=$(GTK2_LIBS)
    34
    45bin_PROGRAMS=gui
  • orxonox/trunk/gui/Makefile.in

    r2980 r2989  
    114114LDFLAGS = @LDFLAGS@
    115115LIBOBJS = @LIBOBJS@
    116 LIBS = @LIBS@
     116#AM_LDFLAGS=$(GTK2_LIBS)
     117LIBS = $(GTK2_LIBS)
    117118LTLIBOBJS = @LTLIBOBJS@
    118119MAKEINFO = @MAKEINFO@
     
    177178target_vendor = @target_vendor@
    178179AM_CXXFLAGS = $(GTK2_CFLAGS) $(MSBITFIELDS)
    179 AM_LDFLAGS = $(GTK2_LIBS)
    180180gui_SOURCES = orxonox_gui.cc orxonox_gui_video.cc       orxonox_gui_audio.cc orxonox_gui_exec.cc orxonox_gui_flags.cc orxonox_gui_banner.cc orxonox_gui_keys.cc
    181181noinst_HEADERS = orxonox_gui.h orxonox_gui_video.h orxonox_gui_audio.h orxonox_gui_exec.h orxonox_gui_flags.h orxonox_gui_banner.h orxonox_gui_keys.h
Note: See TracChangeset for help on using the changeset viewer.